Download

    An up-to-date list of available CatBoost releases and the corresponding binaries for different operating systems is available in the Download section of the releases page on GitHub.

    The built versions of CatBoost have GPU support out-of-the-box.

    Training on GPU requires NVIDIA Driver of version 418.xx or higher.

    Note

    Only CUDA 11.0 is officially supported in compiled command-line packages for Windows. Вuild the binary from a local copy if GPU support is required and the installed version of CUDA differs from 11.0. CatBoost should work fine with CUDA 11.0 and later versions.

    All necessary CUDA libraries are statically linked to the Linux and macOS binaries of the CatBoost command-line version, therefore, the only installation necessary is the appropriate version of the CUDA driver.